msgpack::adaptor::object_with_zone< msgpack::object > Struct Template Reference

`#include <object.hpp>`

## Public Member Functions

void | operator() (msgpack::object::with_zone &o, msgpack::object const &v) const

## Member Function Documentation

## operator()()

void msgpack::adaptor::object_with_zone< msgpack::object >::operator() | ( | msgpack::object::with_zone & | o,
|  | msgpack::object const & | v
| ) |  | const

inline

References msgpack::zone::allocate_align(), msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::type::BIN, msgpack::object::union_type::bin, msgpack::type::BOOLEAN, msgpack::type::EXT, msgpack::object::union_type::ext, msgpack::type::FLOAT32, msgpack::type::FLOAT64, msgpack::object_kv::key, msgpack::type::MAP, msgpack::object::union_type::map, MSGPACK_ZONE_ALIGNOF, msgpack::type::NEGATIVE_INTEGER, msgpack::type::NIL, msgpack::type::POSITIVE_INTEGER, msgpack::object_array::ptr, msgpack::object_map::ptr, msgpack::object_str::ptr, msgpack::object_bin::ptr, msgpack::object_ext::ptr, msgpack::object_array::size, msgpack::object_map::size, msgpack::object_str::size, msgpack::object_bin::size, msgpack::object_ext::size, msgpack::type::STR, msgpack::object::union_type::str, msgpack::object::type, msgpack::object_kv::val, msgpack::object::via, and msgpack::object::with_zone::zone.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/object.hpp